<?php

// Theme option by Mohammad Majidi (www.persianscript.ir) 
$ps_options = array(
	'footer_copyright' => '&copy; ' . date('Y') . ' ' . get_bloginfo('name'),
	'head_ads_code' => '<a href="http://shop.persianscript.ir/" target="_blank"><img src="http://www.persianscript.ir/banners/psshop.gif" alt="PersianScript"/></a>',
	'footer_ads_code' => '<a href="http://shop.persianscript.ir/" target="_blank"><img src="http://www.persianscript.ir/banners/psshop.gif" alt="PersianScript"/></a>',
	'fb_url' => 'http://facebook.com/persianscript',
	'twitter_url' => 'http://twitter.com/persianscript',
	'email_address' => 'sample@email.com',
	'error_page' => 'خطا: آنچه که به دنبال آن هستید ، وجود ندارد
',
);

if ( is_admin() ) : 

function sa_register_settings() {
	
	register_setting( 'ps_theme_options', 'ps_options', 'ps_validate_options' );
}

add_action( 'admin_init', 'sa_register_settings' );



function ps_theme_options() {
	 
	add_theme_page( 'تنظیمات پوسته', 'تنظیمات پوسته', 'edit_theme_options', 'theme_options', 'ps_theme_options_page' );
}

add_action( 'admin_menu', 'ps_theme_options' );


function ps_theme_options_page() {
	global $ps_options;

	if ( ! isset( $_REQUEST['updated'] ) )
		$_REQUEST['updated'] = false;  ?>

	<div class="wrap">

	<?php screen_icon(); echo "<h2>" . get_current_theme() . __( ' تنظیمات پوسته' ) . "</h2>";  ?>

	<?php if ( false !== $_REQUEST['updated'] ) : ?>
	<div class="updated fade"><p><strong><?php _e( 'تنظیمات ذخیره شد' ); ?></strong></p></div>
	<?php endif; ?>

	<form method="post" action="options.php">

	<?php $settings = get_option( 'ps_options', $ps_options ); ?>
	
	<?php settings_fields( 'ps_theme_options' ); ?>

	<table class="form-table">

	<tr valign="top"><th scope="row"><label for="footer_copyright">متن دلخواه کپی رایت</label></th>
	<td>
	<input id="footer_copyright" style="width:320px" name="ps_options[footer_copyright]" type="text" value="<?php  esc_attr_e($settings['footer_copyright']); ?>" />
	</td>
	</tr>

	
	<tr valign="top"><th scope="row"><label for="head_ads_code">کد تبلیغ بالای سایت</label></th>
	<td>
	<textarea id="head_ads_code" name="ps_options[head_ads_code]" style="direction:ltr" rows="4" cols="60"><?php echo stripslashes($settings['head_ads_code']); ?></textarea>
	</td>
	</tr>
	
	<tr valign="top"><th scope="row"><label for="footer_ads_code">کد تبلیغ انتهای سایت</label></th>
	<td>
	<textarea id="footer_ads_code" name="ps_options[footer_ads_code]" style="direction:ltr" rows="4" cols="60"><?php echo stripslashes($settings['footer_ads_code']); ?></textarea>
	</td>
	</tr>
   
	
	<tr><td><h2>شبکه ها</h2></td></tr>
	
	<tr valign="top"><th scope="row"><label for="fb_url">صفحه فیسبوک</label></th>
	<td>
	<input id="fb_url" name="ps_options[fb_url]" type="text" style="width:250px;direction:ltr" value="<?php  esc_attr_e($settings['fb_url']); ?>" />
	</td>
	</tr>
	
	<tr valign="top"><th scope="row"><label for="twitter_url">صفحه توییتر</label></th>
	<td>
	<input id="twitter_url" name="ps_options[twitter_url]" style="width:250px;direction:ltr" type="text" value="<?php  esc_attr_e($settings['twitter_url']); ?>" />
	</td>
	</tr>
	
	<tr valign="top"><th scope="row"><label for="email_address">آدرس ایمیل</label></th>
	<td>
	<input id="email_address" name="ps_options[email_address]" style="width:250px;direction:ltr" type="text" value="<?php  esc_attr_e($settings['email_address']); ?>" />
	</td>
	</tr>

	</table>

	<p class="submit"><input type="submit" class="button-primary" value="ذخیره تغییرات" /></p>

	</form>

<br />
<p>طراحی و بهینه سازی پوسته: <a href="http://persianscript.ir">پرشین اسکریپت </a></p>
	</div>

	<?php
}

function ps_validate_options( $input ) {
	global $ps_options;

	$settings = get_option( 'ps_options', $ps_options );
	
	$input['footer_copyright'] = wp_filter_nohtml_kses( $input['footer_copyright'] );
	$input['email_address'] = wp_filter_nohtml_kses( $input['email_address'] );
	$input['twitter_url'] = wp_filter_nohtml_kses( $input['twitter_url'] );
	$input['fb_url'] = wp_filter_nohtml_kses( $input['fb_url'] );
	$input['intro_text'] = wp_filter_post_kses( $input['intro_text'] );
	

	return $input;
}

endif;  // EndIf is_admin()